### Constructor

# Vips Image grey

#### Declaration [src]

    int
    vips_grey (
      VipsImage** out,
      int width,
      int height,
      ...
    )

#### Description [src]

Create a one-band float image with the left-most column zero and the right-most 1.

Intermediate pixels are a linear ramp.

Set `uchar` to output a uchar image with the leftmost pixel 0 and the rightmost 255.

Optional arguments

- `uchar`: `gboolean`, output a uchar image

See also

`vips_xyz()`, `vips_identity()`.

This constructor is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`width`

  Type: `int`

  Image size.

`height`

  Type: `int`

  Image size.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.